# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Devel-GlobalDestruction-XS
Version:	0.03
Release:	20.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Summary:	Faster implementation of the Devel::GlobalDestruction API
URL:		https://metacpan.org/release/Devel-GlobalDestruction-XS
Source0:	https://cpan.metacpan.org/modules/by-module/Devel/Devel-GlobalDestruction-XS-%{version}.tar.gz
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
BuildRequires:	perl(XSLoader)
# Test suite
BuildRequires:	perl(B)
BuildRequires:	perl(Config)
BuildRequires:	perl(POSIX)
# Optional tests
BuildRequires:	perl(threads)
BuildRequires:	perl(threads::shared)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This is an XS backend for Devel::GlobalDestruction and should be used through
that module.

%prep
%setup -q -n Devel-GlobalDestruction-XS-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/Devel/
%{perl_vendorarch}/Devel/
%{_mandir}/man3/Devel::GlobalDestruction::XS.3*

%changelog
* Mon Jul  5 2021 Paul Howarth <paul@city-fan.org> - 0.03-20
- Fix dist tags for Alma and Rocky Linux

* Fri May 21 2021 Paul Howarth <paul@city-fan.org> - 0.03-19
- Perl 5.34 rebuild

* Fri Jun 26 2020 Paul Howarth <paul@city-fan.org> - 0.03-15
- Specify all dependencies

* Wed Jun 24 2020 Paul Howarth <paul@city-fan.org> - 0.03-13
- Perl 5.32 rebuild

* Thu May 30 2019 Paul Howarth <paul@city-fan.org> - 0.03-10
- Perl 5.30 rebuild

* Wed Apr  3 2019 Paul Howarth <paul@city-fan.org> - 0.03-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jun 27 2018 Paul Howarth <paul@city-fan.org> - 0.03-7
- Perl 5.28 rebuild

* Mon Aug  7 2017 Paul Howarth <paul@city-fan.org> - 0.03-5
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Mon Apr  3 2017 Paul Howarth <paul@city-fan.org> - 0.03-2
- Drop support for EOL distributions prior to F-13:
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Tue Nov  1 2016 Paul Howarth <paul@city-fan.org> - 0.03-1
- Update to 0.03
  - Stop relying on . being in @INC

* Thu Aug 18 2016 Paul Howarth <paul@city-fan.org> - 0.02-3
- BR: perl-generators where available
- Simplify find commands using -empty and -delete

* Mon Oct 19 2015 Paul Howarth <paul@city-fan.org> - 0.02-1
- Update to 0.02
  - Update metadata to include IRC and repository web link
  - Remove unneeded prerequisite on ExtUtils::CBuilder
- This release by HAARG → update source URL
- Drop %%defattr, redundant since rpm 4.4
- Explicitly BR: perl-devel, needed for EXTERN.h

* Fri Jul 12 2013 Paul Howarth <paul@city-fan.org> - 0.01-4
- Perl 5.18 rebuild

* Tue Apr  9 2013 Paul Howarth <paul@city-fan.org> - 0.01-3
- Drop redundant explicit dependency on perl(XSLoader) (#928418)

* Wed Mar 27 2013 Paul Howarth <paul@city-fan.org> - 0.01-1
- Initial RPM version
